Loading...
Searching...
No Matches
Json::JsonObject Class Reference

## Public Member Functions

| JsonObject (const std::filesystem::path &jsonFile)
| JsonObject (const std::string &inline_json)
| JsonObject (const char *inline_json)
| JsonObject (cJSON *root)
void | add (double value)
void | add (int value)
void | add (const std::string &value)
JsonObject | add_array ()
JsonObject | add_object ()
void | add_item (const std::string &key, double value)
void | add_item (const std::string &key, int value)
void | add_item (const std::string &key, const std::string &value)
JsonObject | add_array (const std::string &key)
JsonObject | add_object (const std::string &key)
std::string | dump () const
bool | has_item (const std::string &key) const
JsonObject | get_array_item (std::size_t index) const
JsonObject | get_item (const std::string &key) const
std::string | to_string () const
std::string | get_string (const std::string &key) const
std::string | as_string () const
bool | is_string () const
bool | is_number () const
int | get_int (const std::string &key) const
int | as_int () const
double | get_double (const std::string &key) const
double | as_double () const
bool | is_array () const
bool | is_object () const
std::size_t | size () const

The documentation for this class was generated from the following files:

- opm/json/JsonObject.hpp
- opm/json/JsonObject.cpp